- Qt 5.15
- Qt 3D
- C++ Classes
- QLineWidth
- Qt 5.15.19 Reference Documentation

# QLineWidth Class

class Qt3DRender::QLineWidth

Specifies the width of rasterized lines. More...

Header: | #include <QLineWidth>
qmake: | QT += 3drender
Since: | Qt 5.10
Instantiated By: | LineWidth
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Properties

- value : float

## Public Functions

bool | smooth() const
float | value() const

## Public Slots

void | setSmooth(bool enabled)
void | setValue(float value)

## Signals

void | smoothChanged(bool enabled)
void | valueChanged(float value)

## Detailed Description

## Property Documentation

### value : float

Specifies the width value to be used.

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)